import React, { useState } from "react";
import { Carousel, Flex } from 'antd';
import '../asstes/css/Example.css'
import Carousel1 from '../asstes/img/Carousel1.png';


const carouselRef = React.createRef();
function Example() {
    const [state1, setState1] = useState(0);
    const onChange = (e) => {
        setState1(e)
    };
    const switchClickState = (e) => {
        carouselRef.current.goTo(e);
    }
    return (
        <div className="Example">
            <h1>使用示例</h1>
            <div className="Example_content">
                <Flex>
                    <div className={state1 === 0 ? "Example_flex_div Example_flex_div_plan" : "Example_flex_div"} onClick={() => switchClickState(0)}>
                        <span>教學設計</span><br />
                        <span>AI as Co-Designer</span>
                    </div>
                    <div className={state1 === 1 ? "Example_flex_div Example_flex_div_plan" : "Example_flex_div"} onClick={() => switchClickState(1)}>
                        <span>課堂助手</span><br />
                        <span>AI as Teaching Assistant</span>
                    </div>
                    <div className={state1 === 2 ? "Example_flex_div Example_flex_div_plan" : "Example_flex_div"} onClick={() => switchClickState(2)}>
                        <span>教學分析</span><br />
                        <span>Teaching Analysis</span>
                    </div>
                    <div className={state1 === 3 ? "Example_flex_div Example_flex_div_plan" : "Example_flex_div"} onClick={() => switchClickState(3)}>
                        <span>學習評估</span><br />
                        <span>AI-enabled Assessment</span>
                    </div>
                </Flex>
                <div className="Carousel_div">
                    <Carousel infinite afterChange={onChange} slideNumber={state1} ref={carouselRef}
                        arrowOffset={16} arrowSize={16}>
                        <div className="contentStyle">
                            <img src={Carousel1} alt="即將上綫" />
                            <span>即將上綫</span>
                        </div>
                        <div className="contentStyle">
                            <img src={Carousel1} alt="即將上綫" />
                            <span>即將上綫</span>
                        </div>
                        <div className="contentStyle">
                            <img src={Carousel1} alt="即將上綫" />
                            <span>即將上綫</span>
                        </div>
                        <div className="contentStyle">
                            <img src={Carousel1} alt="即將上綫" />
                            <span>即將上綫</span>
                        </div>
                    </Carousel>
                </div>
            </div>
        </div>
    )
}

export default Example;