import '../asstes/css/Introduction.css'
import ExperienceImg3 from '../asstes/img/3.png'
import ExperienceImg6 from '../asstes/img/6.png'

function Introduction() {
    return (
        <div className="Introduction">
            <div className="Introduction_top">
                <h1 className='Introduction_top_title'>CocoClass</h1>
                <p>使用生成式AI <br /> 全面重塑<i>教與學模式</i></p>
                <p className='Learning'>GenAI Assissted Teaching and Learning</p>
                
            </div>
            <div className="Introduction_bottom">
                <div className="Introduction_bottom_left Introduction_bottom_div">
                    <h2>什麽是 <i>CocoClass？</i></h2>
                    <p>
                    CocoClass是由CocoRobo自主研發的電子學習教與學Web平臺，面嚮學校、教師及學生角色，致力於透過技術和學習科學提升教育質量，促進教育公平。
                    </p>
                    <div className='experience'>
                        <img className='experience_img' src={ExperienceImg6} alt="" />
                    </div>
                </div>
                <div className="Introduction_bottom_right Introduction_bottom_div">
                    <div className='Introduction_bottom_right_div'>
                        <h2>GenAI <i>支援教師</i></h2>
                        <p>
                        作爲教師的AI夥伴，CocoClass使用GenAI提供教學設計、實施、教學分析與學習評估支援服務，通過場景性的應用，針對性地支援教師探索更具科學性、探究性的課程與教學。
                        </p>
                        <div className='experience'>
                            <img className='experience_img' src={ExperienceImg3} alt="" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    )
}

export default Introduction;