import { Card } from 'antd';
import '../asstes/css/ProcessFlow.css'
import img1 from '../asstes/img/011.png'

function ProcessFlow() {
    return (
        <div className='ProcessFlow'>
            <Card
                style={{
                    width: '48%',
                }}
            >
                <div className='ProcessFlow_card'>
                    <span className='ProcessFlow_card_title'>Expand</span>
                    <span className='ProcessFlow_card_num'>01</span>
                    <img className='ProcessFlow_img_back' src={img1} alt=''/>
                </div>
                <p className='english_text'>Envision and develop innovative instructional plans and themes.</p>
                <p className='ProcessFlow_text'>CocoClass教學設計能夠根據教學需求和資料庫，創建符合教師要求的課堂設計、電子學習工作紙、評估題目，並自動檢索相關網絡資源。</p>
            </Card>
            <Card
                style={{
                    width: '48%',
                }}
            >
                <div className='ProcessFlow_card'>
                    <span className='ProcessFlow_card_title'>Activate</span>
                    <span className='ProcessFlow_card_num'>02</span>
                    <img className='ProcessFlow_img_back' src={img1} alt=''/>
                </div>
                <p className='english_text'>Use AI-driven analytics to contemplate the success and shortcomings of your instruction.</p>
                <p className='ProcessFlow_text'>CocoClass課堂助手能夠支援教師通過GenAI調取課堂工具，依據課程内容提供拓展性的教學資源，依據課堂實施數據補充測試題目，以適應不斷變化的教學動態。</p>
            </Card>
            <Card
                style={{
                    marginTop:40,
                    width: '48%',
                }}
            >
                <div className='ProcessFlow_card'>
                    <span className='ProcessFlow_card_title'>Reflect</span>
                    <span className='ProcessFlow_card_num'>03</span>
                    <img className='ProcessFlow_img_back' src={img1} alt=''/>
                </div>
                <p className='english_text'>Use AI-driven analytics to contemplate the success and shortcomings of your instruction.</p>
                <p className='ProcessFlow_text'>CocoClass課堂教學分析使用若干理論模型，透過教學錄音與文本分析，對教師教學行爲（策略）、教學内容、師生互動、學生學習等進行分析與建議。</p>
            </Card>
            <Card
                style={{
                    marginTop:40,
                    width: '48%',
                }}
            >
                <div className='ProcessFlow_card'>
                    <span className='ProcessFlow_card_title'>Understand</span>
                    <span className='ProcessFlow_card_num'>04</span>
                    <img className='ProcessFlow_img_back' src={img1} alt=''/>
                </div>
                <p className='english_text'>Leverage GenAI to gain deep insights into student learning outcomes and progress.</p>
                <p className='ProcessFlow_text'>CocoClass學習評估使用GenAI一體化功能來進行評估，根據學生的學習過程記錄和課程成果，使用AI分析學習數據，並通過人工與AI綜合輸出評估與反饋。</p>
            </Card>
        </div>
    )
}

export default ProcessFlow